<?php
/**
 * IMPORTANT NOTE
 * The code of this system is closed and a private proprietary of Flex Solutions.
 * A written authorization/license from Flex Solutions is required before using or modifying this code.
 * Email: sales@flexsolution.biz, Phone: +962795342585, Website: http://www.flexsolutions.biz
 */
 

/**
 * This is the model class for table "geomarket".
 *
 * The followings are the available columns in table 'geomarket':
 * @property integer $id
 * @property string $name
 * @property string $description
 * @property string $status
 * @property integer $created_by
 * @property string $created_date
 * @property integer $last_edited_by
 * @property string $last_edited_date
 *
 * The followings are the available model relations:
 * @property Location[] $locations
 */
class Geomarket extends LsmsActiveRecord
    {

    /**
     * Returns the static model of the specified AR class.
     * @param string $className active record class name.
     * @return Geomarket the static model class
     */
    public static function model( $className=__CLASS__ )
    {
        return parent::model($className);
    }

    /**
     * @return string the associated database table name
     */
    public function tableName()
    {
        return 'geomarket';
    }

    /**
     * @return array validation rules for model attributes.
     */
    public function rules()
    {
        // NOTE: you should only define rules for those attributes that
        // will receive user inputs.
        return array(
            array('name, status', 'required','except' => 'search'),
            array('name', 'unique'),
            array('name, description', 'length', 'max' => 255),
            array('status', 'length', 'max' => 8),
            array('id, name, description, status, created_by, created_date, last_edited_by, last_edited_date', 'safe', 'on' => 'search'),
        );
    }

    /**
     * @return array relational rules.
     */
    public function relations()
    {
        // NOTE: you may need to adjust the relation name and the related
        // class name for the relations automatically generated below.
        return array(
            'locations' => array(self::HAS_MANY, 'Location', 'geomarket_id'),
        );
    }

    /**
     * @return array customized attribute labels (name=>label)
     */
    public function attributeLabels()
    {
        return array(
          
            'name' => yii::t('default', 'Name'),
            'description' => yii::t('default', 'Description'),
            'status' => yii::t('default', 'Status'),
        );
    }

    /**
     * @return array customized attribute labels Tooltips (name=>label tooltips)
     */
    public function  attributeLabelsPopover()
    {
         return array(
            
            'name' => yii::t('default', 'Name'),
            'description' => yii::t('default', 'Description'),
            'status' => yii::t('default', 'Status'),
        );
    }

    /**
     * Retrieves a list of models based on the current search/filter conditions.
     * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
     */
    public function search()
    {
        // Warning: Please modify the following code to remove attributes that
        // should not be searched.

        $criteria = new CDbCriteria;

        $criteria->compare('name', $this->name, true);
        $criteria->compare('description', $this->description, true);
        $criteria->compare('status', $this->status, false);


        $pageSize=$this->yiiparam('pageSize');
        return new CActiveDataProvider($this, array(
            'pagination' => array('pageSize' => $pageSize,),
            'criteria' => $criteria,
        ));
    }


     public static function getAll($status=null){
            if($status == "Active"){
                return Geomarket::model()->active()->findAll(array('order'=>'name'));
            }
            else{
                return Geomarket::model()->findAll(array('order'=>'name'));
            }
        }
    }